{
  pkgs,
  lib,
  ...
}: {
  programs.nh = {
    enable = true;
    clean.enable = true;
    clean.extraArgs = "--keep-since 7d --keep 3";
    flake = "/home/user/.config/nixos";
  };
  programs.fish.enable = true;
  environment.systemPackages = with pkgs; [
    (lib.hiPrio uutils-coreutils-noprefix)
    helix
    nushell
  ];
}
