{inputs, ...}: let
  secretsPath = builtins.toString inputs.mysecrets;
in {
  # imports = with inputs; [
  #   sops-nix.homeManagerModules.sops
  # ];
  # sops = {
  # age.keyFile = "/var/lib/sops-nix/key.txt";

  # defaultSopsFile = "${secretsPath}/secrets.yaml";
  # validateSopsFiles = false;

  # secrets = {
  #   "ssh/private/dunamis-user" = {
  #     path = "/home/user/.ssh/id_ed25519";
  #   };
  # };
  home.file."id_ed25519_pub" = {
    source = "${secretsPath}/ssh/user/id_dunamis_ed25519.pub";
    target = ".ssh/id_ed25519.pub";
  };
  home.file."id_uni_ed25519_pub" = {
    source = "${secretsPath}/ssh/user/id_uni_ed25519.pub";
    target = ".ssh/id_uni_ed25519.pub";
  };
}
